import { RPCClientError } from '@loafer/ng-rpc';

import { Selector, createSelector } from '@ngrx/store';
import { createEntityAdapter, EntityState } from '@loafer/ng-entity';
import { MetaMemberStatus } from '@overflow/commons-typescript/model/meta';

export const metaMemberStatusEntityAdapter = createEntityAdapter<MetaMemberStatus, RPCClientError>();
export interface State extends EntityState<MetaMemberStatus, RPCClientError> {
}
export const initialState: State = metaMemberStatusEntityAdapter.getInitialState({
});

export function getSelectors(selector: Selector<any, State>) {
  return {
    ...metaMemberStatusEntityAdapter.getSelectors(selector),
  };
}
